# vue-coreui-switch
Vue switch / toggle component based on CoreUI styles.

**This is my first package ever. I'm still a noob. I apologise for the messy code**


The package contains a [Vue](https://vuejs.org/) component to display switches and toogle based on a checkbox.
Styles are coming from the [CoreUI](http://coreui.io) admin panel theme.

This is how they can be used:

```html
<vueswitch switch-class="switch-pill switch-success" switch-name="enabled" switch-value="1" :switch-checked="true"></vueswitch>
```


## Installation

You can install the package via npm:


```php
npm install vue-tabs-component --save
```

## Usage

Register your component

```js
import Switch from 'vue-coreui-switch';

Vue.use(Switch);
```

Import CoreUI styles in your SCSS/SASS file.

```scss
@import "node_modules/vue-coreui-switch/src/scss/vueswitch";
```


Then in your pages

```html
<vueswitch switch-class="switch-pill switch-success" switch-name="myname" switch-value="1" :switch-checked="true" switch-id="myid"></vueswitch>
```